'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = hackResolve;

var _resolve = require('./resolve');

var resolve = _interopRequireWildcard(_resolve);

var _path = require('path');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function winPath(path) {
  return path.replace(/\\/g, '/');
}

function hackResolve(opts) {
  if (!opts || !opts.dirname) {
    throw new Error('[Error] opts.dirname must be supplied');
  }

  resolve.setDirname(opts.dirname);

  var realRequire = require.extensions[".js"];
  require.extensions[".js"] = function (m, filename) {
    if (winPath(filename).indexOf('babel-core/lib/helpers/resolve.js') > -1) {
      if (m.parent && winPath(m.parent.id).indexOf('babel-core/lib/transformation/file/options/option-manager.js') > -1) {
        var content = require('fs').readFileSync((0, _path.join)(__dirname, 'resolve.js'), 'utf-8');
        return m._compile(content, filename);
      }
    }
    return realRequire(m, filename);
  };
}
module.exports = exports['default'];